unit Config_Dos;

interface
 procedure konfiguracja11;
 procedure konfiguracja21;
 procedure konfiguracja31;
 procedure konfiguracja41;
 procedure konfiguracja51;
 procedure konfiguracja61;
 procedure konfiguracja71;
 procedure graphicsInit(var markSize : word);
implementation
 uses grafiti0,grafiti4,grafiti1,commande,spectanalisier,disco2,fft,common;
procedure konfiguracja11;
 begin
  win_init(11);  grColor:=0{black};
  lancuch:=  'a^n^a^l^i^z^y^:^ '+descr(osc_to_scr,'o^sc ');
  lancuch:=lancuch+ descr(spectr_anal,'s^pktr ');
  lancuch:=lancuch+ descr(cpstr,'c^pstr ');
  lancuch:=lancuch+ descr(filtrOn,'f^iltr ');
  lancuch:=lancuch+ descr(hiFiltr,'D^ G ');
  lancuch:=lancuch+ descr(fft_rev,'inv^ers ');
  lancuch:=lancuch+ descr(retriev,'odz^ysk  ');
  lancuch:=lancuch+ descr(ins,'INS   ');
  lancuch:=lancuch+ descr(fullStop,' nie  ');
  lancuch:=lancuch+ descr(not grafika,' nie');
  lancuch:=lancuch+ descr(lock,'  tak')+'      F^1^        ';

  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-36,-48,7{lightGray},true);
lancuch:='NaDysk : nie '+descr(spND,'S') + tryb(spND and ToDiskAvail);
lancuch:=lancuch+ descr(cpND,' C') + tryb(CPnD and ToDiskAvail);
lancuch:=lancuch+ tryb(resND and filtrOn and (fft_rev or cpstr))+'   ';
lancuch:=lancuch+ descr((revND or not cpstr and retND),'     V') +
                  tryb((revNd or not cpstr and retND) and ToDiskAvail);
lancuch:=lancuch+ descr(retND and cpstr,'  Z') +
         tryb(retND and cpstr and ToDiskAvail);
lancuch:=lancuch+' '+tryb(ins and cpstr and (cpND or cpfND or revND or
         retND and cpstr) and ToDiskAvail);
lancuch:=lancuch+descr(fullStop,'    nie   ');
lancuch:=lancuch+descr(not grafika,'nie');
lancuch:=lancuch+descr(lock,'  tak')+'     info'+'            ';
  grColor:=15{white};
  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-25,-48,9{lightBlue},true);

  lancuch:=     'E^k^r^a^n^  :^'+ tryb(osc_to_scr);
  lancuch:=lancuch+'  '+ tryb(spectr_to_scr);
  lancuch:=lancuch+'  '+ tryb(cpstr_to_scr);
  lancuch:=lancuch+tryb(filtr_to_scr and (fft_rev or cpstr));
  lancuch:=lancuch+'         '+ tryb(rev_to_scr);
  lancuch:=lancuch+'   '+ tryb(ret_to_scr);
  lancuch:=lancuch+' '+tryb(ins and cpstr and res_to_scr);
  lancuch:=lancuch+descr(fullStop,' fu^llstop ');
  str(config,lancuch1);lancuch1:=lancuch1+' ';
  lancuch:=lancuch+descr(grafika,'g^raf ')+descr(lock,'L^ock')+
            '     '+lancuch1+arrow+'            ';
  grColor:=0{black};
  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-15,-48,7{lightGray},true);
  end{konfiguracja11};

procedure konfiguracja21;
 begin
  win_init(11); grColor:=0{black};
  lancuch:='klawisz  :     h^  i^      p^      r^      F^8^   '+
  ' F^3^   '#30'^F^3^  k^           a^  d^      F^1^    ';

  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-36,-48,3{cyan},true);
  lancuch:='znaczenie:';
  lancuch:=lancuch+    descr(synchro,' synch^r');
  lancuch:=lancuch+    descr(interp,' i^nterp');
  lancuch:=lancuch+descr(poziomice,' p^oziom');
  lancuch:=lancuch+' r^ozdz kompr '+descr((stretch>1),'lupa ')+descr(pSlide,'slajd ');
  lancuch:=lancuch+ descr(krok,'k^rok');
  lancuch:=lancuch+ descr(not spectr,' cpstrgra^m');
  lancuch:=lancuch+ descr(count_cp_bool,' d^wust')+' info'+'          ';
  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-25,-48,7{lightGray},true);
  str(poz,lancuch1);
  lancuch:='stan     :   '+tryb(synchro)+tryb(interp)+'   '+
    tryb(poziomice)+' '+lancuch1+poz_arrow;
  str(resol:2,lancuch1);
  lancuch:=lancuch+lancuch1+' ';
  str(f0max:9:1,lancuch1);
  lancuch:=lancuch+lancuch1;
  lancuch1:='    '; str(stretch:2,lancuch1);
  lancuch1[0]:=#3;
  lancuch:=lancuch+tryb((stretch>1) and not count_cp_bool)+lancuch1;
  lancuch:=lancuch+tryb(pSlide)+tryb(krok);
  lancuch:=lancuch+'       '+tryb(not spectr)+tryb(count_cp_bool);
  str(config,lancuch1);lancuch1:=lancuch1+' ';
  lancuch:=lancuch+'    '+lancuch1+arrow+'      ';
  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-15,-48,3{cyan},true);
 end;{konfiguracja21}

procedure konfiguracja31;
 begin
  win_init(11); grColor:=0{black};

  lancuch:='klawisz  :  T^A^B^     n^     P^g^U^p^,P^g^D^n^         '+
           'y^     '#24#94#25#94'       O^        P^   F^9^   F^1^          ';

  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-36,-48,7{lightGray},true);
  lancuch:='znaczenie: ';
  lancuch:=lancuch+descr(freez,'zamroz');
  lancuch:=lancuch+descr(sing,' sin^gle');
  lancuch:=lancuch+descr(PgUp or PgDn,' przewijanie');
  lancuch:=lancuch+' okno: ';
  lancuch:=lancuch+descr(not moovie,'wy^l');
  lancuch:=lancuch+','+descr(ToDiskCounter<>0,'ruch pion');
  lancuch:=lancuch+' nrO^kna'+descr(half_win,' oknoP^ol')+' wyp info'+
   '            ';
  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-25,-48,2{green},true);
  str(ToDiskCounter:4,lancuch1);
  lancuch:='stan     : '+tryb(freez)+'   '+tryb(sing)+'      '+
   tryb(PgUp or PgDn)+'          '+tryb(not moovie)+'  '+lancuch1+'    ';
  str(winNbr:4,lancuch1);
  lancuch:=lancuch+lancuch1+arrow2+'     '+tryb(half_win)+' ';
  if winNbr in [0,1] then str(rectWinFill:4:0,lancuch1) else lancuch1:='  '#220' ';
  lancuch:=lancuch+lancuch1+'  ';
  str(config,lancuch1);lancuch1:=lancuch1+' ';
  lancuch:=lancuch+lancuch1+arrow+'        ';
  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-15,-48,7{lightGray},true);
 end;{konfiguracja31}

procedure konfiguracja41;
 var logo : boolean;
 begin
  win_init(11);
  grColor:=0{black};
  lancuch:='klawisze : ''0^''..''9^'' F^7^     ^^F^3^     ^^F^5^  '+
       ' A^-^F^5^  ^^F^8^ '#30'^F^8^   A^-F^8^  ^^F^4^ '#30'^F^4^ A^-F^4^ '
      +' F^1^            ';
  with grstat do
  win_x_y_title(lancuch,'x',winYmin+18-ypmax-36,-48,2{Green},true);

  lancuch:='znaczenie: FFTpnkt jump inv:1/2/3 '+
   descr(cpstr_to_scr or cpnd,'cepstr');
  lancuch:=lancuch+descr(unwrap_iter,' iter ');
  lancuch:=lancuch+descr(power_cmplx_cpstr=3,'rozw ');
  lancuch:=lancuch+descr(unwrap_iter,'prog ');
  lancuch:=lancuch+descr(cpstr_to_scr or cpnd,'PhTest ');
  lancuch:=lancuch+'  '+descr(phase_corr,'faza')+'  '+
  descr(sort,'Sort')+' info'+'           ';
  str(count:3,lancuch1);
    grColor:=15{white};
  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-25,-48,0{black},true);

  lancuch:='stan     :   '+lancuch1;
  str(jump:5:1,lancuch1);
  lancuch:=lancuch+'  '+lancuch1;
    case inv of
       1:lancuch1:='     '#30'    '; {invers_1}
       2:lancuch1:='       '#30'  '; {invers_2}
       3:lancuch1:='         '#30    {invers_3}
    else lancuch1:='         '#30;   {invers_3}
    end;
  lancuch:=lancuch+lancuch1+' ';
   case power_cmplx_cpstr of
      1 : lancuch:=lancuch+'moc';
      2 : lancuch:=lancuch+'min';
      3 : lancuch:=lancuch+'mix'
    else  lancuch:=lancuch+'moc';
   end;{case}
  lancuch:=lancuch+'   '+
   tryb(unwrap_iter and (power_cmplx_cpstr=3) and Tribolett)+' ';
  case Tribolett of
   true  : lancuch1:=' Trib';
   false : lancuch1:=' APL ';
  end;
  lancuch:=lancuch+lancuch1;
  str(thld:5:3,lancuch1);
  lancuch:=lancuch+lancuch1;
  lancuch:=lancuch+' '+tryb(PhTest)+'   ';
   case fall of
    false : lancuch1:=#30;
     true : lancuch1:=#31;
   end;{case}
   logo:=phase_corr and (ik<count-2) and (rev_to_scr and not cpstr or retNd);
   lancuch:=lancuch+tryb(logo)+' '+lancuch1+'  '+tryb(sort and logo);
  str(config,lancuch1);
  lancuch1:='  '+lancuch1+' ';
  lancuch:=lancuch+lancuch1+arrow+'             ';
  grColor:=0{black};
  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-15,-48,2{Green},true);
 end;{konfiguracja41}

 procedure konfiguracja51;
 begin
  win_init(11);
  grColor:=0{black};
  lancuch:='klawisze :      F^2^  '#30'^F^2^  '#30'^F^5^,F^5^   H^O^M^E^'+
   #27#94#32#26#94'E^N^D^  ^^F^6^   '+'F^6^    '#30'^F^6^  A^-F^6^      e^  '+
  ' F^1^            ';
  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-36,-48,7{lightGray},true);

  lancuch:='znaczenie: cut:'+descr(pas_odd,'even')+','+descr(pas_even,'odd')+
   ','+descr(cut_init,'init_cut')+
   ' modyf.czest '+descr(auto_freq,'autom')+' fdoln fgorn <moc';
  lancuch:=lancuch+descr(less_jump,' wolnie^j');
  lancuch:=lancuch+' info'+
   '           ';
  grColor:=15{white};
  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-25,-48,6{brown},true);
  lancuch:='stan     :    '+tryb(filtrOn and pas_odd)+' '+
    tryb(pas_even and filtrOn)+tryb(filtrOn and cut_init);
  str(init_cut:2,lancuch1);
  lancuch:=lancuch+lancuch1+' '+cut_arrow;
  str(fcpstr:10:2,lancuch1);
  lancuch:=lancuch+lancuch1+'    '+
   tryb(auto_freq and FiltrOn and cpstr)+' ';
  str(f_low:5:0,lancuch1);
  lancuch:=lancuch+lancuch1;
  str(f_high:6:0,lancuch1);
  lancuch:=lancuch+lancuch1;
  str(0:5,lancuch1);                                 {tu bylo CritPowrLost}
  lancuch:=lancuch+lancuch1+'%';
  lancuch:=lancuch+'    '+tryb(less_jump)+'  ';
  str(config,lancuch1);
  lancuch1:=lancuch1+' ';
  lancuch:=lancuch+lancuch1+arrow+'             ';
  grColor:=0{black};
  with grstat do
   win_x_y_title(lancuch,'x',winYmin+18-ypmax-15,-48,7{lightGray},true);
 end;{konfiguracja51}

procedure konfiguracja61;
 var logo : boolean;
 begin
  with grstat do
   begin
    win_init(11);  grColor:=0{black};
    lancuch:='klawisz  :  u^       g^    E^s^c^ ^^p^r^t^S^c^r^  A^-^F^3^'+
    ' ^^F^9^    ^     '#30'^F^7^ ^^F^7^  A^-^F^7^  F^4^     ^F^1^'+
    '           ';
     win_x_y_title(lancuch,'x',winYmin+18-ypmax-36,-48,7{lightgray},true);

    lancuch:='znaczenie:'+descr(fullStop,' fu^llStop ')+
     descr(grafika,'g^raf ')+descr(clr,'Cls')+descr(prtScr,'  druk  ')+
     '  edyt'+descr(test,' TEST ')+descr(tsd or tsp,'TonSzum')+
     descr(tsp,'Pliki')+descr(tsd and not buzz_to_disk,'Druk')+
     descr(tsd and buzz_to_disk,'Disk')+' '+descr(quiet,'cicho!')+
     ' info'+'            ';
    win_x_y_title(lancuch,'x',winYmin+18-ypmax-25,-48,13{lightmagenta},true);
    logo:=auto_freq and filtrOn and (time_change <>nr_konc);
    lancuch:='stan     :^';
    lancuch:=lancuch+tryb(fullStop)+'     ';
    lancuch:=lancuch+tryb(grafika)+' '+tryb(clr)+' '+tryb(prtScr)+'   '
            +'  nie  '+tryb(test)+'         '+tryb(tsp and tspo and logo)
            +tryb(tsd and logo and not buzz_to_disk)
            +tryb(tsd and logo and buzz_to_disk)
            +'  '+tryb(quiet);
    str(config,lancuch1);
    lancuch1:='   '+lancuch1+' ';
    lancuch:=lancuch+lancuch1+arrow+'            ';
    win_x_y_title(lancuch,'x',winYmin+18-ypmax-15,-48,7{lightgray},true);
    grColor:=1{blue};
   end;{hith}
  end{konfiguracja61};

procedure konfiguracja71;
 begin
  with grstat do
   begin
    win_init(11);  grColor:=0{black};
    lancuch:='klawisz  : '+descr(ins,'INS ')+descr(ins,'DEL ')+
     ' E^s^c^    '#30'^F^9^  ^^F^9^  A^-^F^9^ '+
     '  L^     H^           !^  '#30+
     '^F^1^  '+'^^F^1^    F^1^         ';
     win_x_y_title(lancuch,'x',winYmin+18-ypmax-36,-48,3{cyan},true);
    lancuch:='znaczenie: '+descr(retriev and ins,'wst ')+
     descr(Change_Insert and ins and retriev,' /   ')+descr(clr,'Cls')+
     descr(retNd,'   wycnk');
    lancuch:=lancuch+descr(test,' TEST ')+'ObrNd '+descr(lock,' L^ock')+
     '  H^alt   start!^  '+descr(helpUp,#30'^/'#31)+'  Help  info'+
     '            ';
    win_x_y_title(lancuch,'x',winYmin+18-ypmax-25,-48,5{magenta},true);
    lancuch:='stan     :';
    lancuch:=lancuch+tryb(ins)+' ';
    if art_nat then lancuch:=lancuch+descr(ins,'nat.')
    else lancuch:=lancuch+descr(ins,'szt.');
    lancuch:=lancuch+tryb(clr)+' ';
    if centrum then lancuch:=lancuch+'   cntr'
    else lancuch:=lancuch+'   pocz';
    lancuch:=lancuch+tryb(test)+'  '+' nie  '+tryb(lock)+
      '   koniec od pocz  ';
    if helpUp then lancuch:=lancuch+#30 else lancuch:=lancuch+#31;
    lancuch:=lancuch+'  '+tryb(helpShow);
    str(config,lancuch1);lancuch1:='  '+lancuch1+' ';
    lancuch:=lancuch+'  '+lancuch1+arrow+'            ';
    win_x_y_title(lancuch,'x',winYmin+18-ypmax-15,-48,3{cyan},true);
    grColor:=1{blue};
   end;{hith}
  end{konfiguracja71};

  procedure graphicsInit(var markSize : word);
  Begin
  {--Inicjacja grafiki (musi tu być aby zarezerwowac pamięć dla sterownika) --}
 repeat
//  TextColor(cyan);
 // writeln(cons,'path do sterownika graficznego C:\tp7 enter lub podaj nowa',
  //  ' (tylko katalog!)');
//  napis(path);
  If path = '' then path :='c:\tp7';
  //TextColor(white);
   //writeln(cons,path); //TextColor(cyan);
//  fileInfor(path,patternPath);
//  write(cons,'directory OK? - t/n '); znak:=readKey; writeln(cons,znak);
 until znak='t';
// InitGraphicsDriver(path);
 GetMem(ImgPoint,heightLightBuff);
// set_scr_res(resol);                   {przywraca i precyzuje tryb graficzny}
 win_map_init;
   {-------------------------------------{inicjacja kursora pionowego---------}
 win_init(12);
 with grstat do
  begin
   getMem(unmark,markSize);
  end;
  End;
end.
